/* This is the EPICS dependent code for the XIA xMAP driver module.
 * By making this separate file for the EPICS dependent code the driver itself
 * only needs libCom from EPICS for OS-independence (i.e. it is then possible to create
 * module tests withouth needing to load the entire EPICS libraries!)
 */

#include <iocsh.h>
#include <drvSup.h>
#include <epicsExport.h>

#include "drvXmap.h"

/* Code for iocsh registration */

/* xmapConfig */
static const iocshArg xmapConfigArg0 = {"Asyn port name", iocshArgString};
static const iocshArg xmapConfigArg1 = {"Module number", iocshArgInt};
static const iocshArg xmapConfigArg2 = {"XIA Handel init file", iocshArgString};
static const iocshArg * const xmapConfigArgs[] =  {&xmapConfigArg0,
                                                          &xmapConfigArg1,
                                                          &xmapConfigArg2};
static const iocshFuncDef configxmap = {"xmapConfig", 3, xmapConfigArgs};
static void configxmapCallFunc(const iocshArgBuf *args)
{
    xmapConfig(args[0].sval, args[1].ival, args[2].sval);
}

static const iocshFuncDef closexmap = {"xmapClose", 0, NULL};
static void closexmapCallFunc(const iocshArgBuf *args)
{
    xmapClose();
}


static void xmapRegister(void)
{
    iocshRegister(&configxmap, configxmapCallFunc);
    iocshRegister(&closexmap, closexmapCallFunc);
}

epicsExportRegistrar(xmapRegister);


